Subject: [KEYPROV] "Air-tight" Key Provisioning - Early Draft

From: "Anders Rundgren" <[email-masked]>
Date: Sun, 7 Feb 2010 12:19:54 +0100

In case you are interested in Key provisioning, APIs and Cryptography
you may want to take a peek in the following document:

http://webpki.org/papers/keygen2/sks-api-arch.pdf

The primary feature is that the described scheme allows you to provision
keys and associated protection objects and attributes using on-line methods
that can be technically at the same security-level as traditional smart card
production performed in secured environments.

The initial target was embedded key containers in mobile phones but I
think that it could have a place in a next-generation of smart cards as well.
It would be particularly useful for replacement cards since such cards may
be needed right away, making physical distribution a real nuisance.

I had to abandon my plans to use an 8-bit MCU for the proof-of-concept;
now the requirment is a fairly powerful 32-bit ARM processor: http://mbed.org

Anders Rundgren